var reqTempUp = document.getElementById("tempUp");
var reqTempDown = document.getElementById("tempDown");
var offsetUp = document.getElementById("offsetUp");
var offsetDown = document.getElementById("offsetDown");

reqTempUp.addEventListener("click", function () {
  set("increasereqtemp", 0.1);
});
reqTempDown.addEventListener("click", function () {
  set("increasereqtemp", -0.1);
});
offsetUp.addEventListener("click", function () {
  set("increaseoffset", 0.05);
});
offsetDown.addEventListener("click", function () {
  set("increaseoffset", -0.05);
});

function set(co, jak) {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function () {
    if (this.readyState == 4 && this.status == 200) {
      if (co == "increasereqtemp") {
        document.getElementById("reqTemp").innerHTML = this.responseText;
      } else if (co == "increaseoffset") {
        document.getElementById("offset").innerHTML = this.responseText;
      }
    }
  };
  xhttp.open("GET", "/set?" + co + "=" + jak, true);
  xhttp.send();
}

function get(x, y) {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function () {
    if (this.readyState == 4 && this.status == 200) {
      if (x == "relay" && this.responseText == "1") {
        document.getElementById("actual-state").innerHTML = "Topí";
        document.getElementById("actual-state").classList.add("topi");
        document.getElementById("actual-state-img").src = "img/topi.svg";
      } else if (x == "relay" && this.responseText == "0") {
        document.getElementById("actual-state").innerHTML = "Netopí";
        document.getElementById("actual-state").classList.remove("topi");
        document.getElementById("actual-state-img").src = "img/netopi.svg";
      } else {
        document.getElementById(y).innerHTML = this.responseText;
      }
    }
  };
  xhttp.open("GET", "/get?" + x, true);
  xhttp.send();
}
get("temp", "temp");
get("reqtemp", "reqTemp");
get("offset", "offset");
get("relay", "relay");

const interval = setInterval(function () {
  get("temp", "temp");
  get("reqtemp", "reqTemp");
  get("offset", "offset");
  get("relay", "relay");
}, 5000);
